Interface NotificationEvent
- All Superinterfaces:
VoiceSinchEvent
The request body of a Notify Event.
-
Nested Class Summary
Nested ClassesModifier and TypeInterfaceDescriptionstatic interfaceDedicated Builderstatic classMust have the valuenotify. -
Method Summary
Modifier and TypeMethodDescriptionstatic NotificationEvent.Builderbuilder()Getting buildergetAmd()Get amdAn optional parameter containing notification-specific information.Used in some types of events, it presents the destination of the generated recording or transcription files.getType()The type of information communicated in the notification.Methods inherited from interface com.sinch.sdk.domains.voice.models.v1.sinchevents.VoiceSinchEvent
getCallid, getConferenceId, getVersion
-
Method Details
-
getType
String getType()The type of information communicated in the notification.- Returns:
- type
-
getDestination
String getDestination()Used in some types of events, it presents the destination of the generated recording or transcription files.- Returns:
- destination
-
getAmd
AnsweringMachineDetection getAmd()Get amd- Returns:
- amd
-
getCustom
String getCustom()An optional parameter containing notification-specific information.- Returns:
- custom
-
builder
Getting builder- Returns:
- New Builder instance
-